> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gr4vy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify and get gift card balances

> Fetch the balances for one or more gift cards.

This endpoint requires the `gift-cards.read` scope.


## OpenAPI

````yaml /openapi.speakeasy.json POST /gift-cards/balances
openapi: 3.1.0
info:
  title: Gr4vy
  description: The Gr4vy API.
  version: 1.0.0
servers:
  - url: https://api.sandbox.{id}.gr4vy.app
    x-speakeasy-server-id: sandbox
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
  - url: https://api.{id}.gr4vy.app
    x-speakeasy-server-id: production
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
security:
  - bearerAuth: []
tags:
  - name: 3DS scenarios
    description: Manage and create 3DS scenarios in sandbox.
  - name: Account updater
    description: Schedule stored cards for an account update.
  - name: Audit logs
    description: Query user activity.
  - name: Buyers
    description: Manage buyers.
  - name: Buyers - Gift cards
    description: Query gift cards for buyers.
  - name: Buyers - Payment methods
    description: Query payment methods for buyers.
  - name: Buyers - Shipping details
    description: Manage shipping details for buyers.
  - name: Card details
    description: Returns information about a card.
  - name: Card scheme definitions
    description: List definitions for card schemes.
  - name: Checkout sessions
    description: Manage checkout sessions.
  - name: Digital wallets - Sessions
    description: Create sessions for digital wallets like Apple Pay and Google Pay.
  - name: Digital wallets - Setup
    description: Manage digital wallets like Apple Pay and Google Pay.
  - name: Gift cards
    description: Manage stored gift cards.
  - name: Insights
    description: Retrieve Insights data.
  - name: Insights - Presets
    description: Manage presets for Insights.
  - name: Merchant accounts
    description: Manage merchant accounts in an instance.
  - name: Merchant accounts - 3DS configuration
    description: Manage 3DS profiles for merchant accounts.
  - name: Monitoring
    description: Manage monitoring and alerting.
  - name: Payment links
    description: Manage payment links.
  - name: Payment methods
    description: Manage stored payment methods.
  - name: Payment methods - Definitions
    description: Manage payment method definitions.
  - name: Payment methods - Network tokens
    description: Manage network tokens for stored payment methods.
  - name: Payment methods - Payment service tokens
    description: Manage payment service tokens for stored payment methods.
  - name: Payment options
    description: Fetch a list of payment options to display at checkout.
  - name: Payment service definitions
    description: Fetch info about the definition of each payment service.
  - name: Payment services
    description: Manage configured payment services.
  - name: Payouts
    description: Payout API.
  - name: Refunds
    description: Manage transaction refunds.
  - name: Reports
    description: Manage one-off and scheduled reports.
  - name: Reports - Executions
    description: Manage executions of reports.
  - name: Transactions
    description: Manage transaction.
  - name: Transactions - Actions
    description: Read Flow actions triggered for a transaction.
  - name: Transactions - Chargebacks
    description: Read transaction chargeback data.
  - name: Transactions - Chargeback reversals
    description: Read transaction chargeback reversal data.
  - name: Transactions - Settlements
    description: Read transaction settlement data.
  - name: Transactions - Sessions
    description: Manage transaction session data.
  - name: Webhook subscriptions
    description: Manage webhook subscriptions.
paths:
  /gift-cards/balances:
    post:
      tags:
        - Gift cards
      summary: List gift card balances
      description: Fetch the balances for one or more gift cards.
      operationId: list_gift_card_balances
      parameters:
        - name: x-gr4vy-merchant-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The ID of the merchant account to use for this request.
            examples:
              - default
            title: X-Gr4Vy-Merchant-Account-Id
          description: The ID of the merchant account to use for this request.
          x-speakeasy-name-override: merchantAccountId
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GiftCardBalanceRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GiftCardSummaries'
        '400':
          description: The request was invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: The request was unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: >-
            The credentials were invalid or the caller did not have permission
            to act on the resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '404':
          description: The resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404'
        '405':
          description: The request method was not allowed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error405'
        '409':
          description: A duplicate record was found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error409'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '425':
          description: The request was too early.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error425'
        '429':
          description: Too many requests were made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error429'
        '500':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
        '502':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error502'
        '504':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error504'
      x-codeSamples:
        - lang: java
          label: Java
          source: |-
            package hello.world;

            import com.gr4vy.sdk.Gr4vy;
            import com.gr4vy.sdk.models.components.*;
            import com.gr4vy.sdk.models.errors.*;
            import com.gr4vy.sdk.models.operations.ListGiftCardBalancesResponse;
            import java.lang.Exception;
            import java.util.List;

            public class Application {

                public static void main(String[] args) throws Exception {

                    Gr4vy sdk = Gr4vy.builder()
                            .merchantAccountId("default")
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    ListGiftCardBalancesResponse res = sdk.giftCards().balances().list()
                            .giftCardBalanceRequest(GiftCardBalanceRequest.builder()
                                .items(List.of(
                                    Item.of(GiftCardStoredRequest.builder()
                                        .id("356d56e5-fe16-42ae-97ee-8d55d846ae2e")
                                        .build()),
                                    Item.of(GiftCardStoredRequest.builder()
                                        .id("356d56e5-fe16-42ae-97ee-8d55d846ae2e")
                                        .build()),
                                    Item.of(GiftCardRequest.builder()
                                        .number("4123455541234561234")
                                        .pin("1234")
                                        .build())))
                                .build())
                            .call();

                    if (res.giftCardSummaries().isPresent()) {
                        System.out.println(res.giftCardSummaries().get());
                    }
                }
            }
        - lang: csharp
          label: C#
          source: >-
            using Gr4vy;

            using Gr4vy.Models.Components;

            using System.Collections.Generic;


            var sdk = new Gr4vySDK(
                id: "example",
                server: SDKConfig.Server.Sandbox,
                bearerAuthSource: Auth.WithToken(privateKey),
                merchantAccountId: "default"
            );


            var res = await
            sdk.GiftCards.Balances.ListAsync(giftCardBalanceRequest: new
            GiftCardBalanceRequest() {
                Items = new List<Item>() {
                    Item.CreateGiftCardStoredRequest(
                        new GiftCardStoredRequest() {
                            Id = "356d56e5-fe16-42ae-97ee-8d55d846ae2e",
                        }
                    ),
                    Item.CreateGiftCardStoredRequest(
                        new GiftCardStoredRequest() {
                            Id = "356d56e5-fe16-42ae-97ee-8d55d846ae2e",
                        }
                    ),
                    Item.CreateGiftCardRequest(
                        new GiftCardRequest() {
                            Number = "4123455541234561234",
                            Pin = "1234",
                        }
                    ),
                },
            });


            // handle response
        - lang: javascript
          label: TypeScript
          source: |-
            import { Gr4vy, withToken } from "@gr4vy/sdk";
            import fs from "fs";

            const gr4vy = new Gr4vy({
                id: "example",
                server: "sandbox",
                merchantAccountId: "default",
                bearerAuth: withToken({
                  privateKey: fs.readFileSync("private_key.pem", "utf8"),
                }),
            });

            async function run() {
              const result = await gr4vy.giftCards.balances.list({
                items: [
                  {
                    id: "356d56e5-fe16-42ae-97ee-8d55d846ae2e",
                  },
                  {
                    id: "356d56e5-fe16-42ae-97ee-8d55d846ae2e",
                  },
                  {
                    number: "4123455541234561234",
                    pin: "1234",
                  },
                ],
              });

              console.log(result);
            }

            run();
        - lang: python
          label: Python
          source: |-
            from gr4vy import Gr4vy
            import os


            with Gr4vy(
                id="example",
                server="sandbox",
                merchant_account_id="default",
                bearer_auth=auth.with_token(open("./private_key.pem").read())
            ) as g_client:

                res = g_client.gift_cards.balances.list(items=[
                    {
                        "id": "356d56e5-fe16-42ae-97ee-8d55d846ae2e",
                    },
                    {
                        "id": "356d56e5-fe16-42ae-97ee-8d55d846ae2e",
                    },
                    {
                        "number": "4123455541234561234",
                        "pin": "1234",
                    },
                ])

                # Handle response
                print(res)
        - lang: go
          label: Go
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/components\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := gr4vygo.New(\n        gr4vygo.WithMerchantAccountID(\"default\"),\n        gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n    )\n\n    res, err := s.GiftCards.Balances.List(ctx, components.GiftCardBalanceRequest{\n        Items: []components.Item{\n            components.CreateItemGiftCardStoredRequest(\n                components.GiftCardStoredRequest{\n                    ID: \"356d56e5-fe16-42ae-97ee-8d55d846ae2e\",\n                },\n            ),\n            components.CreateItemGiftCardStoredRequest(\n                components.GiftCardStoredRequest{\n                    ID: \"356d56e5-fe16-42ae-97ee-8d55d846ae2e\",\n                },\n            ),\n            components.CreateItemGiftCardRequest(\n                components.GiftCardRequest{\n                    Number: \"4123455541234561234\",\n                    Pin: \"1234\",\n                },\n            ),\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res != nil {\n        // handle response\n    }\n}"
        - lang: php
          label: PHP
          source: |-
            declare(strict_types=1);

            require 'vendor/autoload.php';

            use Gr4vy;

            $sdk = Gr4vy\SDK::builder()
                ->setId('example')
                ->setServer('sandbox')
                ->setSecuritySource(Auth::withToken($privateKey))
                ->setMerchantAccountId('default')
                ->build();

            $giftCardBalanceRequest = new Gr4vy\GiftCardBalanceRequest(
                items: [
                    new Gr4vy\GiftCardStoredRequest(
                        id: '356d56e5-fe16-42ae-97ee-8d55d846ae2e',
                    ),
                    new Gr4vy\GiftCardStoredRequest(
                        id: '356d56e5-fe16-42ae-97ee-8d55d846ae2e',
                    ),
                    new Gr4vy\GiftCardRequest(
                        number: '4123455541234561234',
                        pin: '1234',
                    ),
                ],
            );

            $response = $sdk->giftCards->balances->list(
                giftCardBalanceRequest: $giftCardBalanceRequest
            );

            if ($response->giftCardSummaries !== null) {
                // handle response
            }
components:
  schemas:
    GiftCardBalanceRequest:
      properties:
        items:
          items:
            anyOf:
              - $ref: '#/components/schemas/GiftCardRequest'
              - $ref: '#/components/schemas/GiftCardStoredRequest'
          type: array
          title: Items
          description: A list of gift cards to request a balance for.
      additionalProperties: false
      type: object
      required:
        - items
      title: GiftCardBalanceRequest
    GiftCardSummaries:
      properties:
        items:
          items:
            $ref: '#/components/schemas/GiftCardSummary'
          type: array
          title: Items
          description: A list of items returned for this request.
      type: object
      required:
        - items
      title: GiftCardSummaries
    Error400:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `bad_request`
          default: bad_request
          examples:
            - bad_request
        status:
          type: integer
          title: Status
          description: Always `400`.
          default: 400
          examples:
            - 400
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error400
    Error401:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `unauthorized`
          default: unauthorized
          examples:
            - unauthorized
        status:
          type: integer
          title: Status
          description: Always `401`.
          default: 401
          examples:
            - 401
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: No valid API authentication found
          examples:
            - No valid API authentication found
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error401
    Error403:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `forbidden`
          default: forbidden
          examples:
            - forbidden
        status:
          type: integer
          title: Status
          description: Always `403`.
          default: 403
          examples:
            - 403
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error403
    Error404:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `not_found`
          default: not_found
          examples:
            - not_found
        status:
          type: integer
          title: Status
          description: Always `404`.
          default: 404
          examples:
            - 404
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: The resource could not be found
          examples:
            - The resource could not be found
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error404
    Error405:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `method_not_allowed`
          default: method_not_allowed
          examples:
            - method_not_allowed
        status:
          type: integer
          title: Status
          description: Always `405`.
          default: 405
          examples:
            - 405
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Method Not Allowed
          examples:
            - Method Not Allowed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error405
    Error409:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `duplicate_record`
          default: duplicate_record
          examples:
            - duplicate_record
        status:
          type: integer
          title: Status
          description: Always `409`.
          default: 409
          examples:
            - 409
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
        resource_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Id
          description: The ID of the conflicting resource.
          examples:
            - cdc70639-cb9c-4222-a73f-b8ce39f7821b
      additionalProperties: false
      type: object
      title: Error409
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Error425:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `too_early`
          default: too_early
          examples:
            - too_early
        status:
          type: integer
          title: Status
          description: Always `425`.
          default: 425
          examples:
            - 425
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error425
    Error429:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `too_many_requests`
          default: too_many_requests
          examples:
            - too_many_requests
        status:
          type: integer
          title: Status
          description: Always `429`.
          default: 429
          examples:
            - 429
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error429
    Error500:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `server_error`
          default: server_error
          examples:
            - server_error
        status:
          type: integer
          title: Status
          description: Always `500`.
          default: 500
          examples:
            - 500
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error500
    Error502:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `bad_gateway`
          default: bad_gateway
          examples:
            - bad_gateway
        status:
          type: integer
          title: Status
          description: Always `502`.
          default: 502
          examples:
            - 502
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error502
    Error504:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `gateway_timeout`
          default: gateway_timeout
          examples:
            - gateway_timeout
        status:
          type: integer
          title: Status
          default: 504
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error504
    GiftCardRequest:
      properties:
        number:
          type: string
          maxLength: 19
          minLength: 16
          pattern: ^\d+$
          title: Number
          description: The 16-19 digit number for the gift card.
          examples:
            - '4123455541234561234'
        pin:
          type: string
          minLength: 1
          title: Pin
          description: The PIN for this gift card.
          examples:
            - '1234'
      additionalProperties: false
      type: object
      required:
        - number
        - pin
      title: GiftCardRequest
      description: The number and pin for a gift card to fetch a balance for.
    GiftCardStoredRequest:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The ID of the field to fetch a balance for.
          examples:
            - 356d56e5-fe16-42ae-97ee-8d55d846ae2e
      additionalProperties: false
      type: object
      required:
        - id
      title: GiftCardStoredRequest
      description: The ID of a stored gift card to fetch a balance for.
    GiftCardSummary:
      properties:
        type:
          type: string
          const: gift-card
          title: Type
          description: Always `gift-card`.
          default: gift-card
          examples:
            - gift-card
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: The ID for the gift card.
          examples:
            - 356d56e5-fe16-42ae-97ee-8d55d846ae2e
        merchant_account_id:
          type: string
          title: Merchant Account Id
          description: The ID of the merchant account this buyer belongs to.
          examples:
            - default
        bin:
          type: string
          title: Bin
          description: The first 6 digits of the full gift card number.
          examples:
            - '412345'
        sub_bin:
          type: string
          title: Sub Bin
          description: The 3 digits after the `bin` of the full gift card number.
          examples:
            - '554'
        last4:
          type: string
          title: Last4
          description: The last 4 digits for the gift card.
          examples:
            - '1234'
        currency:
          anyOf:
            - type: string
              pattern: ^[A-Z]{3}$
              examples:
                - EUR
                - GBP
                - USD
            - type: 'null'
          title: Currency
          description: The ISO-4217 currency code that this gift card has a balance for.
          examples:
            - AUD
        expiration_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expiration Date
          description: ' The date and time when this gift card expires. This is a full date/time and may be more accurate than the actual expiry date received by the gift card service.'
          examples:
            - '2013-07-16T19:23:00.000+00:00'
        balance:
          anyOf:
            - type: integer
            - type: 'null'
          title: Balance
          description: >-
            The amount remaining on the balance for this gift card according to
            the gift card service. This may be `null` if the balance could not
            be fetched.
          examples:
            - 1299
        balance_error_code:
          anyOf:
            - type: string
              enum:
                - invalid_gift_card
                - expired_card
                - inactive_card
                - invalid_service_credentials
                - invalid_amount
                - incorrect_currency
                - insufficient_funds
                - invalid_service_configuration
                - operation_canceled
                - service_error
                - service_network_error
                - unknown_error
                - max_gift_cards_reached
              title: GiftCardErrorCode
              description: >-
                Gift card error codes.


                Gr4vy normalised gift card error codes. Keep the naming and
                style in line with

                those in the connectors framework.


                If new codes are added, append them at the end or amend public
                simulator

                documentation:
                https://docs.gr4vy.com/guides/features/gift-cards/simulator
              x-speakeasy-unknown-values: allow
              overlay: 1.0.0
            - type: 'null'
          description: >-
            If the last balance update failed, this will contain the internal
            code for this error.
          examples:
            - incorrect_currency
        balance_raw_error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Balance Raw Error Code
          description: >-
            If the last balance update failed, this will contain the the raw
            error code received from the gift card provider.
          examples:
            - '10363'
        balance_raw_error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Balance Raw Error Message
          description: >-
            If the last balance update failed, this will contain the the raw
            error message received from the gift card provider.
          examples:
            - This currency is not supported by the merchant.
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
          description: The timestamp when this gift card was last used in a transaction.
          examples:
            - '2013-07-16T19:23:00.000+00:00'
        usage_count:
          type: integer
          title: Usage Count
          description: The number of times this gift card has been used in transactions.
          examples:
            - 100
        cit_last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cit Last Used At
          description: >-
            The timestamp when this gift card was last used in a transaction for
            client initiated transactions.
          examples:
            - '2013-07-16T19:23:00.000+00:00'
        cit_usage_count:
          type: integer
          title: Cit Usage Count
          description: >-
            The number of times this gift card has been used in transactions for
            client initiated transactions.
          examples:
            - 50
      additionalProperties: false
      type: object
      required:
        - merchant_account_id
        - bin
        - sub_bin
        - last4
        - usage_count
        - cit_usage_count
      title: GiftCardSummary
    ErrorDetail:
      properties:
        location:
          description: >-
            The part of the request where the property can be found that caused
            the error.
          examples:
            - body
          type: string
          enum:
            - query
            - body
            - path
            - header
            - unknown
          title: ErrorLocation
          x-speakeasy-unknown-values: allow
          overlay: 1.0.0
        pointer:
          anyOf:
            - type: string
              format: json-pointer
            - type: string
          title: Pointer
          description: A JSON pointer for the particular property that caused the error.
          examples:
            - /currency
        message:
          type: string
          title: Message
          description: A human-readdable explanation of the error.
          examples:
            - 'Unknown ISO 4217 currency code: USX'
        type:
          type: string
          title: Type
          description: The type of error that was raised for this property.
          examples:
            - value_error
      additionalProperties: false
      type: object
      required:
        - location
        - pointer
        - message
        - type
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````